From 428ca55be5498c7c73a785206b645bc09afeba38 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Wed, 3 May 2017 14:00:59 -0700
Subject: [PATCH 04/22] ipc-router-core: Modify the LOCAL Router Node for APPS

IPC router core currently is not reading and getting local
node id from device tree.
Nomad's host processor is using local id as 1, change the mdm's
apps local id to 2.

Signed-off-by: Pranav Desai <pranavd@qti.qualcomm.com>
---
 net/ipc_router/ipc_router_private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net/ipc_router/ipc_router_private.h b/net/ipc_router/ipc_router_private.h
index ce6c840..2777436 100644
--- a/net/ipc_router/ipc_router_private.h
+++ b/net/ipc_router/ipc_router_private.h
@@ -38,7 +38,7 @@
 
 #define IPC_ROUTER_ADDRESS			0x0000FFFF
 
-#define IPC_ROUTER_NID_LOCAL			1
+#define IPC_ROUTER_NID_LOCAL			2
 #define MAX_IPC_PKT_SIZE 66000
 
 #define IPC_ROUTER_LOW_RX_QUOTA		5
-- 
1.8.2.1

